AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
Active Member
tore.lindell
Posts: 9
Registered: ‎08-07-2013
Message 1 of 14 (2,133 Views)
Accepted Solution

Civil 3D 2013 Servicepack 2

2133 Views, 13 Replies
08-07-2013 06:47 AM

After installing service pack 2 Civil 3D 2013 my imported subassemblies doesn´t work anymore.

Tried to import them again but when I try to use them in an assembly i get a warning in the vista and they

won´t work 

See attached png.

The Civil 3D 2013 SP2 and Civil 3D 2014 Hot Fix1 require that you install .NET 4.5...it apperas that the Subbassembly composer DLLs were upgraded to .NET 4.5 in these service packs/ hot fixes.

The .NET 4.5 is not installed when installing Civil 3D 2013 or 2014 (base, not suites) versions. .NET 4.5  does get installed in the Civil 3D 2014 Infrastructure Design Suite Ultimate Install (it did on mine when i told the installer to go out and get the updates automatically in a fresh install on another PC). Here is the link to download and install the .NET 4.5 Framework:

http://www.microsoft.com/en-us/download/details.aspx?id=30653

 

This fixed my issue in both 2013 and 2014 on my HP Elitebook 8560W running Win 7 64bit.

 

Thanks!

 

Mark

 

Valued Mentor
fcernst
Posts: 1,111
Registered: ‎01-07-2011
Message 2 of 14 (2,084 Views)

Re: Civil 3D 2013 Servicepack 2

08-07-2013 10:27 AM in reply to: tore.lindell

I'm experiencing the same. This is not acceptable.

 

Please submit a support request and I will do the same.

 

Capture.JPG

 

 

Capture2.JPG

Fred Ernst, PE
C3D 2015
Ernst Engineering
www.ernstengineering.com
New Member
mmosby
Posts: 2
Registered: ‎07-27-2004
Message 3 of 14 (2,032 Views)

Re: Civil 3D 2013 Servicepack 2

08-07-2013 08:55 PM in reply to: tore.lindell
i'm also seeing the same exact error with Civil 3d 2013 SP2 and also with Civil 3d 2014 hot fix 1, will be submitting a support request also.
Member
genepaulacepeter
Posts: 3
Registered: ‎03-13-2010
Message 4 of 14 (1,992 Views)

Re: Civil 3D 2013 Servicepack 2

08-08-2013 05:34 PM in reply to: tore.lindell

same error after installing hotfix 1 for 2014 and SP2 for 2013.

welcome to the club

Valued Contributor
Topher5000
Posts: 93
Registered: ‎12-11-2008
Message 5 of 14 (1,937 Views)

Re: Civil 3D 2013 Servicepack 2

08-12-2013 12:52 PM in reply to: fcernst

Just installed service pack 2.  How do I submit a support request?

Valued Mentor
fcernst
Posts: 1,111
Registered: ‎01-07-2011
Message 6 of 14 (1,929 Views)

Re: Civil 3D 2013 Servicepack 2

08-12-2013 01:12 PM in reply to: tore.lindell

Right here, see below:

 

Capture2.JPG

 

Capture.JPG

Fred Ernst, PE
C3D 2015
Ernst Engineering
www.ernstengineering.com
New Member
mmosby
Posts: 2
Registered: ‎07-27-2004
Message 7 of 14 (1,857 Views)

Re: Civil 3D 2013 Servicepack 2

08-14-2013 04:08 PM in reply to: tore.lindell

The Civil 3D 2013 SP2 and Civil 3D 2014 Hot Fix1 require that you install .NET 4.5...it apperas that the Subbassembly composer DLLs were upgraded to .NET 4.5 in these service packs/ hot fixes.

The .NET 4.5 is not installed when installing Civil 3D 2013 or 2014 (base, not suites) versions. .NET 4.5  does get installed in the Civil 3D 2014 Infrastructure Design Suite Ultimate Install (it did on mine when i told the installer to go out and get the updates automatically in a fresh install on another PC). Here is the link to download and install the .NET 4.5 Framework:

http://www.microsoft.com/en-us/download/details.aspx?id=30653

 

This fixed my issue in both 2013 and 2014 on my HP Elitebook 8560W running Win 7 64bit.

 

Thanks!

 

Mark

 

Valued Mentor
fcernst
Posts: 1,111
Registered: ‎01-07-2011
Message 8 of 14 (1,847 Views)

Re: Civil 3D 2013 Servicepack 2

08-14-2013 04:49 PM in reply to: tore.lindell
I went through this with support and it didn't help.
Fred Ernst, PE
C3D 2015
Ernst Engineering
www.ernstengineering.com
Active Member
tore.lindell
Posts: 9
Registered: ‎08-07-2013
Message 9 of 14 (1,823 Views)

Re: Civil 3D 2013 Servicepack 2

08-14-2013 10:56 PM in reply to: mmosby
A thousnads thanks, this fixed the problem
Valued Mentor
fcernst
Posts: 1,111
Registered: ‎01-07-2011
Message 10 of 14 (1,745 Views)

Re: Civil 3D 2013 Servicepack 2

08-15-2013 08:12 AM in reply to: mmosby

I always had 4.5 installed and was still getting the .NET errors.

 

Now after a large automatic Windows Update this morning I am not getting the .NET errors, but I am getting "Object Reference" errors.

Fred Ernst, PE
C3D 2015
Ernst Engineering
www.ernstengineering.com
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.